#
# spec file for package control-center2 (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia check coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-file-utils desktop-translations diffutils docbook-xsl-stylesheets docbook_4 e2fsprogs eel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-doc-utils gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gnome2-user-docs gpm grep groff gstreamer010 gstreamer010-devel gstreamer010-plugins-base gstreamer010-plugins-base-devel gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libdrm libexif libgcc libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprintui libgnomesu libgnomeui libgnomeui-devel libgpg-error libgsf libidl libjpeg libjpeg-devel libnscd libogg libpng libpng-devel librsvg libstdc++ libtheora libtiff libtool libusb libvorbis libxcrypt libxklavier libxklavier-devel libxml2 libxml2-devel libxml2-python libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man metacity mktemp module-init-tools nautilus nautilus-devel ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-devel pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           control-center2
BuildRequires:  desktop-file-utils docbook-xsl-stylesheets gnome-desktop-devel gnome-doc-utils gnome-menus-devel gnome-patch-translation gstreamer010-plugins-base-devel intltool libglade2-devel libidl libxklavier-devel mDNSResponder-devel metacity nautilus-devel pam-devel perl-XML-Parser scrollkeeper sgml-skel update-desktop-files xorg-x11
%define _name control-center
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Obsoletes:      fontilus themus acme
Provides:       fontilus themus acme
Version:        2.12.2
Release:        62.14
Summary:        The GNOME Control Center for the GNOME 2.x Desktop
Source:         %{_name}-%{version}.tar.bz2
Source1:        control-center-art.tar.bz2
Source2:        fontilus.xml
Source3:        change-password.png
Source4:        permissions.tar.bz2
Patch:          control-center-control-key-events.patch
Patch1:         %{name}-default-config.patch
Patch2:         control-center-keybinding-workaround.patch
Patch3:         desktop.patch
Patch6:         control-center2-backout-309558.patch
Patch7:         control-center2-soundupdate.patch
Patch8:         control-center2-passwd-dialog.patch
Patch10:        control-center-pangoxft.patch
Patch11:        control-center2-screensaver.patch
Patch12:        size.patch
Patch13:        gnomecc-docpath.patch
Patch14:        control-center2-system-proxy-configuration.diff
Patch15:        control-center-default-applications-ftp+news.patch
Patch16:        control-center2-329043.patch
Patch17:        control-center2-esd.patch
Patch18:        control-center2-multiple-displays.patch
Patch19:        control-center2-gst-0-10.patch
Patch20:        control-center2-compiz-keybindings.patch
Patch21:        control-center-background-properites-fixes.patch
Patch22:        control-center-2.12.2-beagle-search-hotkey.patch
Patch100:       control-center2-po-update.patch
Patch101:       control-center2-gnome-patch-translation-update.patch
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2 shared-mime-info permissions
Requires:       nautilus gnome-audio

%description
This package contains the control center for the GNOME 2.x Desktop.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>

%debug_package
%package devel
Summary:        The GNOME Control Center for the GNOME 2.x Desktop
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       %{name} = %{version} gtk2-devel libgnomeui-devel gnome-desktop-devel libglade2-devel gnome-menus-devel

%description devel
This package contains the control-center for the GNOME 2.x Desktop.



Authors:
--------
    Jonathan Blandford <jrb@redhat.com>

%prep
%setup -q -n %{_name}-%{version} -a 1 -a 2 -b 4
rm po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
%patch100
gnome-patch-translation-prepare
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch6
%patch7
%patch8 -p1
%patch10
#%patch11
%patch12 -p1
%patch13
%patch14 -p0
cp %{S:3} capplets/passwd/change-password.png
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
%patch22 -p1
gnome-patch-translation-update
%patch101

%build
libtoolize --copy --force
aclocal
automake --add-missing --copy --force
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/control-center-2.0 \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde \
    --enable-platform-gnome2 \
    --disable-scrollkeeper
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# DESTDIR=$RPM_BUILD_ROOT mime-info-to-mime
mkdir -p $RPM_BUILD_ROOT/usr/share/mime/packages
cp %{S:2} $RPM_BUILD_ROOT/usr/share/mime/packages
%find_lang %{_name}-2.0
%suse_update_desktop_file -N "Control Center" -G "Personal Settings" -C "Configure the desktop" gnomecc
# capplets
%suse_update_desktop_file at-properties X-SuSE-ControlCenter-Personal
%suse_update_desktop_file accessibility-keyboard X-SuSE-ControlCenter-Personal
%suse_update_desktop_file background X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file -D "user-guide/user-guide.xml?goscustdoc-2" default-applications X-SuSE-ControlCenter-System
%suse_update_desktop_file display-properties X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file font-properties X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file gnome-passwd X-SuSE-ControlCenter-Personal
%suse_update_desktop_file gnome-settings-mouse X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file gnome-settings-sound X-SuSE-ControlCenter-System
%suse_update_desktop_file gnome-network-preferences X-SuSE-ControlCenter-System
%suse_update_desktop_file -D "user-guide/user-guide.xml?goscustuserinter-2" gnome-ui-properties X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file gtk-theme-selector X-SuSE-ControlCenter-LookAndFeel
%suse_update_desktop_file keybinding X-SuSE-ControlCenter-Personal
%suse_update_desktop_file keyboard X-SuSE-ControlCenter-Hardware
%suse_update_desktop_file window-properties X-SuSE-ControlCenter-LookAndFeel
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
sed '/^OnlyShowIn/d;s/GNOME;Application;Settings;/GNOME;Application;DesktopSettings;/'\
 <$RPM_BUILD_ROOT/opt/gnome/share/applications/gnomecc.desktop\
 >$RPM_BUILD_ROOT/usr/share/applications/gnomecc.desktop
rm $RPM_BUILD_ROOT%{prefix}/share/applications/mimeinfo.cache
rm -rf $RPM_BUILD_ROOT/var/%{_lib}/scrollkeeper
mv $RPM_BUILD_ROOT%{prefix}/share/pixmaps/display-capplet.png $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/48x48/apps/
cp control-center-art/* $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/48x48/apps/
( cd $RPM_BUILD_ROOT%{prefix}/share/pixmaps ; ln -s ../icons/hicolor/48x48/apps/gnome-control-center.png . )
( cd $RPM_BUILD_ROOT%{prefix}/share/control-center-2.0/interfaces ; ln -s ../pixmaps/change-password.png . )
rm $RPM_BUILD_ROOT%{prefix}/%_lib/nautilus/extensions-1.0/*.*a
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gnome-vfs-2.0/modules/lib*.*a
rm $RPM_BUILD_ROOT%{prefix}/%_lib/window-manager-settings/*.*a
%if %suse_version < 1000
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
cp -a ../permissions/* $RPM_BUILD_ROOT/etc/permissions.d
%endif

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_font_rendering.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/fontilus.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/themus.schemas >/dev/null 2>/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/system_proxy.schemas >/dev/null 2>/dev/null
usr/bin/update-mime-database /usr/share/mime >/dev/null
touch var/adm/SuSEconfig/run-scrollkeeper-update
%run_permissions

%verifyscript
%verify_permissions -e /opt/gnome/sbin/change-passwd

%postun
%run_ldconfig
usr/bin/update-mime-database /usr/share/mime >/dev/null
touch var/adm/SuSEconfig/run-scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{_name}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/*
%{prefix}/share/gnome-background-properties
%{prefix}/share/pixmaps/*.png
#%{prefix}/share/pixmaps/gnomecc-2
%{prefix}/share/applications/*.desktop
%{prefix}/share/control-center-2.0
%{sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_default_editor.schemas
%{sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_screensaver.schemas
%{sysconfdir}/gconf/schemas/apps_gnome_settings_daemon_keybindings.schemas
%{sysconfdir}/gconf/schemas/desktop_gnome_font_rendering.schemas
%{sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas
%{sysconfdir}/gconf/schemas/fontilus.schemas
%{sysconfdir}/gconf/schemas/themus.schemas
%{sysconfdir}/gconf/schemas/system_proxy.schemas
%{sysconfdir}/gnome-vfs-2.0/modules/*.conf
#%{prefix}/share/gnome-2.0/ui/*.xml
%{prefix}/share/gnome/vfolders/*
%{prefix}/share/gnome/cursor-fonts
%{prefix}/share/icons/hicolor/48x48
%{prefix}/%_lib/nautilus/extensions-1.0/*
%{prefix}/%_lib/lib*.so.*
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/%_lib/gnome-vfs-2.0/modules/lib*.so
%dir %{prefix}/%_lib/window-manager-settings
%{prefix}/%_lib/window-manager-settings/*.so
%{prefix}/lib/control-center-2.0
/usr/share/applications/gnomecc.desktop
/usr/share/mime/packages/*.xml
%{prefix}/share/gnome/help/control-center
%{prefix}/share/omf/control-center
/etc/pam.d/gnome-passwd
%if %suse_version < 1000
/etc/permissions.d/*
%endif
/opt/gnome/sbin/change-passwd

%files devel
%defattr (-, root, root)
%{prefix}/include/gnome-window-settings-2.0
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/idl/*.idl

%changelog -n control-center2
* Thu Jun 29 2006 - sbrabec@suse.cz
- Last minute gnome-patch-translation strings merge:
  * password change (#185584)
  * sound preferences (#185591)
- Added two missing upstream translations (#185584#c27).
- Fixed Norwegian translation update (#185584#c29).
- Symlink password dialog icon to proper place (#185584#c29).
* Tue Jun 20 2006 - sbrabec@suse.cz
- Fixed I18N bug in password dialog title (185584#c7).
* Fri Jun 16 2006 - sreeves@suse.de
- Fix for 185591 - missing localization for sound entries.
* Fri Jun 16 2006 - sbrabec@suse.cz
- Fixed missing strings in password dialog (#185584).
* Fri Jun 02 2006 - hpj@suse.de
- Updated the search patch to fall back to gnome-search-tool if
  Beagle can't be found.
* Mon May 29 2006 - hpj@suse.de
- Add patch to invoke Beagle on "search" keybinding. Fixes Novell
  bug #132801.
* Mon May 29 2006 - sbrabec@suse.cz
- Added passwd capplet to POTFILES.in (#179459).
* Sun May 28 2006 - danw@suse.de
- Add toggle maximize, horiz/vert maximize, and show desktop to
  control-center2-compiz-keybindings.patch (#178220)
* Tue May 09 2006 - dobey@suse.de
- Add fixes for CRITICAL warnings from background-properties
  See bug https://bugzilla.novell.com/show_bug.cgi?id=83196
* Sun May 07 2006 - danw@suse.de
- Add cube unfold binding to control-center2-compiz-keybindings.patch
* Tue May 02 2006 - sbrabec@suse.cz
- Moved proxy settings from Hardware to System (#167466).
* Thu Apr 20 2006 - danw@suse.de
- Add compiz keybindings to gnome-keybinding-properties. 163208
* Wed Apr 19 2006 - sreeves@suse.de
- Fix for 148037 - mangled widgetry in sound capplet
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file for all desktop files.
- Added gnome-ui-properties to control-center (118960#c11).
- Use new control-center Categories instead of illegal old ones.
* Mon Apr 03 2006 - jpr@suse.de
-  Add gst 0.10 support for gnome-settings-daemon
* Thu Mar 23 2006 - rodrigo@suse.de
- Updated control-center2-multiple-displays.patch to use the correct
  DISPLAY for bonobo-activation, and fixed ultra-quick error dialog
  (#156801).
* Thu Mar 23 2006 - federico@novell.com
- Updated control-center2-system-proxy-configuration.diff to fix bug
  [#158600].  Gnome-settings-daemon will now read the HTTPS_PROXY value
  from /etc/sysconfi/proxy and set it in the appropriate GConf keys.
* Mon Mar 06 2006 - rodrigo@suse.de
- Added patch to support multiple concurrent sessions (fixes part
  of #150623).
* Thu Mar 02 2006 - rodrigo@suse.de
- Don't spawn esd daemon, already done in libesound (part of
  [#153419])
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Sat Feb 18 2006 - sreeves@suse.de
- Another Update .desktop file (Name, GenericName, Comment, DocPath)
* Sat Feb 18 2006 - gekker@suse.de
- Fixup .desktop files for UI team
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Feb 15 2006 - gekker@suse.de
- Fix font thumbnailing (b.g.o#329043)
* Mon Feb 13 2006 - gekker@suse.de
- Remove dependency on e-d-s, not required since we don't ship
  the about me capplet, partial fix for (#148339)
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Tue Jan 31 2006 - rodrigo@suse.de
- Use /etc/pam.d/common-* for PAM authentication (146699)
* Mon Jan 30 2006 - sbrabec@suse.cz
- Implemented ftp:// and news:// to
  gnome-default-applications-properties (#113104).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - hpj@suse.de
- Updated the passwd-dialog patch to pass through messages from PAM.
  This is necessary for the PAM Winbind module, as it informs the
  user of password policies and more complex error situations.
* Thu Jan 12 2006 - sreeves@suse.de
- Add X-Ximian-Settings to default-applications.desktop. Fix for Bug#141104
* Mon Dec 26 2005 - federico@novell.com
- Added control-center2-system-proxy-configuration.diff.  This was
  included in SUSE Linux 9.3 for bug #71202.  This makes gnome-settings-daemon
  default to the YaST settings for the HTTP proxy if appropriate, propagating
  them to apps that use GConf to find these settings.
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
- Remove upstreamed patch
* Tue Nov 29 2005 - gekker@suse.de
- Add default-config patch for logout shortcut (#130829).
* Wed Oct 12 2005 - gekker@suse.de
- Update to version 2.12.1
* Thu Oct 06 2005 - gekker@suse.de
- Remove previous change for now
- Fix DocPath in .desktop file
* Tue Oct 04 2005 - gekker@suse.de
- Rename "Desktop Background" to "Display Settings"
* Wed Sep 21 2005 - rodrigo@suse.de
- Fixed icon and category of desktop file for change-passwd
  capplet (fixes #117028).
* Mon Sep 19 2005 - sbrabec@suse.cz
- Fixed PreReq.
- Fixed permissions in PLUS.
* Thu Sep 15 2005 - clahey@suse.de
- s/Assistive Technology Support/Assistive Technology/
- Change window height to 550.
- Part of fix for #115299
* Mon Sep 05 2005 - aj@suse.de
- Update to 2.12.0.
* Mon Aug 29 2005 - rodrigo@suse.de
- Added control-center2-screensaver.patch (#113353)
- Enabled setuid change-passwd program (GNOME part of #104993)
* Mon Aug 22 2005 - gekker@suse.de
- Update to 2.11.92
- Remove upstreamed theme-thumbnail patch
* Mon Aug 22 2005 - ro@suse.de
- added pangoxft to liblist
* Fri Aug 19 2005 - gekker@suse.de
- Fix theme-thumbnail
* Tue Aug 16 2005 - rodrigo@suse.de
- Added gnome-passwd patch from SP2.
* Fri Aug 12 2005 - sreeves@suse.de
- Update the sound capplet to match interface requested by Nat
  and Federico. Also removed patch1 after talking with Jody as
  he indicates it is not needed.
* Wed Aug 10 2005 - rodrigo@suse.de
- Update to version 2.11.91
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
- Add scrollkeeper magic
* Fri Jul 29 2005 - jpr@suse.de
- Depend on kereberos libs for building
* Mon Jul 25 2005 - gekker@suse.de
- Update to 2.11.6
- Backout fix for (b.g.o309558) fixed bug in xorg-x11
* Mon Jul 18 2005 - sbrabec@suse.cz
- Don't grab Control key events by Show pointer function.
  http://bugzilla.gnome.org/show_bug.cgi?id=125618
- Fixed devel dependencies.
- Removed unneeded static modules and .la files for modules.
* Fri Jun 17 2005 - gekker@suse.de
- Update to version 2.11.4
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed Apr 13 2005 - sbrabec@suse.cz
- Do not build with -Werror.
- Added required NULL-pointer argument.
* Fri Mar 18 2005 - sbrabec@suse.cz
- Changed Categories for gnome-ui-properties and
  default-applications to appear only in menu (#73047).
* Wed Mar 16 2005 - sbrabec@suse.cz
- Added X-Ximian-Settings to gnome-ui-properties and
  default-applications (#73047, #73547).
* Wed Mar 16 2005 - clahey@suse.de
- Changed category of desktop files so they'll still be in control
  center but won't be in More Programs menu.
- Installed icons in hicolor and installed icons for proxy and for
  directories.
* Tue Mar 15 2005 - sbrabec@suse.cz
- Symlink desktop icon to standard location (#72818).
* Thu Mar 10 2005 - gekker@suse.de
- Add new version of the system-proxy-configuration patch (71202).
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Feb 28 2005 - sbrabec@suse.cz
- Do not package mimeinfo.cache.
* Thu Feb 24 2005 - sbrabec@suse.cz
- Removed gconf makefile-uninstall-rule (#33114).
* Fri Feb 18 2005 - clahey@suse.de
- Add a desktop file for change password.
* Thu Feb 17 2005 - gekker@suse.de
- add federico's system-proxy-configuration patch
* Thu Feb 10 2005 - gekker@suse.de
- Update to version 2.9.91
* Fri Jan 28 2005 - sbrabec@suse.cz
- Fixed directory ownership (require nautilus).
- Fixed libexecdir.
* Wed Jan 26 2005 - jody@suse.de
- jump to 2.9.4
- drop all the partial updates from 2.6
* Wed Dec 15 2004 - hvogel@suse.de
- fix desktop file
* Fri Oct 29 2004 - ro@suse.de
- merged stuff from jody:
- Additional translations
- Some minor accessibility patches that are unreleased in the 2.6.x branch
* Fri Oct 29 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Oct 04 2004 - sbrabec@suse.cz
- Updated directory files to show properly icons and translations
  (#46621).
* Mon Oct 04 2004 - sbrabec@suse.cz
- Czech translation update (#46621).
* Thu Sep 16 2004 - jody@suse.de
- fix help links for accessibility technologies and window capplet
  [#61587], #61588
* Thu Sep 09 2004 - dobey@suse.de
- Pull in changes for the background capplet from CVS
* Tue Sep 07 2004 - sbrabec@suse.cz
- Created shared mime info.
* Mon Sep 06 2004 - shprasad@suse.de
- Not applying patch6 because it is taken care by gnome-audio.
* Mon Aug 30 2004 - rml@suse.de
- add control-center-keybinding-workaround.patch (fix
  Ximian bug #59654)
* Fri Aug 13 2004 - shprasad@suse.de
- Fixes bug#63036 (Fix given by sdharmaveer@novell.com)
  makes gnome login/logout sounds play at login/logout events.
- Fixes bug#63038 (Fix given by sdharmaveer@novell.com)
  overrides the default gnome login/logout sounds by novell
  login/logout sounds.
* Tue Aug 10 2004 - dobey@suse.de
- Include %%prefix/share/gnome-background-properties
* Tue Jul 06 2004 - jody@suse.de
- Restore missing sound and mouse capplets
* Fri Jun 25 2004 - jody@suse.de
- Move the shell into a tarball to improve maintainability
- Fix crash when clicking on whitespace
* Fri Jun 25 2004 - jody@suse.de
- remove keyboard layout (obsolete)
- change printer capplet and fix icon
- update shell
- backport a few fixes from head
* Thu Jun 03 2004 - clahey@suse.de
- gnome-applets is a more proper replacement package than control-center2.
* Mon May 03 2004 - clahey@suse.de
- Upgraded to 2.6.1.
- Added patch to change desktop files to contain the Category needed
  to show up with the new gnome-vfs2.
* Fri Apr 30 2004 - clahey@suse.de
- Added patch to use new control center shell.
* Tue Apr 06 2004 - sbrabec@suse.cz
- Provide alternative desktop file in Utility->Desktop for non-GNOME
  sessions, to make possible configuration of GNOME applications.
- Build with -fno-strict-aliasing.
* Sat Mar 20 2004 - adrian@suse.de
- do not show gnome CC menu entry in KDE
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Sat Sep 13 2003 - matz@suse.de
- Fix wrong declaration that leads to segfaults.
* Thu Aug 07 2003 - sbrabec@suse.cz
- Not use globbing for schemas in %%files.
- Removed duplicated screensaveer desktop file.
* Wed Aug 06 2003 - hhetter@suse.de
- remove prefix clash fix patch
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Use %%find_lang.
* Mon Jun 23 2003 - ro@suse.de
- package directories
* Thu May 15 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Fri Feb 14 2003 - hhetter@suse.de
- look in /opt/gnome2 for GTK Themes instead of
  the GTK prefix, to get metathemes to work
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 2.2.0.1 [GNOME 2.2.0]
* Mon Feb 03 2003 - ro@suse.de
- added startup-notification to neededforbuild
* Thu Jan 16 2003 - sbrabec@suse.cz
- Updated to version 2.1.6.
- Added Czech description for screensaver.
- Use gnome2-devel-packages for neededforbuild.
- Updated %%files.
* Thu Nov 21 2002 - schwab@suse.de
- Fix missing declarations [#21674].
* Tue Oct 22 2002 - hhetter@suse.de
- updated to version 2.0.2.91
- remove wrong docdir
* Tue Oct 01 2002 - sbrabec@suse.cz
- Updated to version 2.0.1.1.
- Move gnome-window-settings-2.0.pc to /usr/%%_lib/pkgconfig/.
- Updated %%files section.
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 03 2002 - hhetter@suse.de
- provide option to start xscreensaver-demo from control-center
  ( Bug Id #18789)
* Tue Aug 20 2002 - hhetter@suse.de
- added prereq: filesystem
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
* Tue Jun 18 2002 - meissner@suse.de
- use libdir for lib64
* Tue Jun 18 2002 - hhetter@suse.de
- updated to version 2.0.0
- added missing schema file
* Fri Jun 14 2002 - hhetter@suse.de
- supply schema files
* Wed Jun 12 2002 - hhetter@suse.de
- added control-center gconf schemas and
  glade xml files to filelist
* Wed Jun 05 2002 - hhetter@suse.de
- updated to version 1.99.10
* Fri Apr 26 2002 - ro@suse.de
- replaced gnome-core2 by gnome-desktop in neededforbuild
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
